#include <EEPROM.h> // include library for permanent memory, can store ints from 0-255 on 1000 addresses

int totalquarterhours; // variable to store total quarter hours ridden
unsigned long runtime; // variable to store current runtime
int quarterhours; // variable to hold converted integer runtime

void setup() {
  Serial.begin(9600); // initialize serial output
  totalquarterhours = EEPROM.read(0); // read address 0 from EEPROM, this is where totalhours will be permanently stored
}

void loop() {
  Serial.print("Total Quarter Hours: ");
  
  runtime = millis() / 90000; // milliseconds divided by 90,000 will calculate number of 15-minute intervals
  //runtime = millis() / 9000; // quick test
  
  quarterhours = runtime; // round to integer
  totalquarterhours = totalquarterhours + quarterhours; // add to the remembered total
  
  EEPROM.update(0,totalquarterhours); // update if new total is different, i.e. if 15 minutes has passed
  
  totalquarterhours = EEPROM.read(0);
  Serial.println(totalquarterhours); 
  delay(1000);      
}
